View Issue Details

IDProjectCategoryView StatusLast Update
11707Feature requests[All Projects] Accessibilitypublic2018-04-06 11:48
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary11707: Force 2 columns in survey listing : must be a template issue ?
Description

Actually we force 2 columns in survey listing : it's really dirty if we have only one survey (a lot of our user have only one survey).

And more i really think it must be a template behaviour : not a core behaviour : then removing the bootstrap style

Steps To Reproduce

Show only one survey activated and see what you have.
Try to show 3 or 4 columns with your template (can be done, but relly more easy with bootstrap class)
etc ....

Additional Information

I really dislike this class name : ls-custom-padding and five.

It's an universal.css perspective : https://github.com/marmelab/universal.css#features

  • "Self-documented classnames" ?
Tagsanswers_html

Activities

DenisChenu

DenisChenu

2016-10-19 10:20

developer   ~41462

What do you think about this ?

I think adding a global class to "survey listing" but use a simple list can fix this issue

Maybe with some row col for the extra button, or another class system by bootsrpa (i'm sure we can use label etc ... for this purpose

DenisChenu

DenisChenu

2016-10-19 10:21

developer   ~41463

PS : if we update class name after 3.0 release : we must do a 4.0 release according to semver

DenisChenu

DenisChenu

2016-10-27 02:36

developer   ~41577

@markusfluer : i move to 1 column for 3.0, maybe with http://getbootstrap.com/components/#list-group if i can add easily the 'statistics' button.

DenisChenu

DenisChenu

2016-10-27 11:22

developer   ~41581

Must fix break word on 'button' too : http://material.io/resizer/#url=http%3A%2F%2Ftesting.sondages.pro%2Fmasterall%2F

Related Changesets

LimeSurvey: answers_html de312173

2016-10-28 12:28:47

DenisChenu

Details Diff
Feature request 11707: 2 columns in survey listing it's a template issue
Dev: move to layout (public)
Dev: review contriucted html to be more 'all template' compatible'
Dev quickly fix the extendedStartPage plugin
Affected Issues
11707
mod - application/controllers/SurveysController.php Diff File
mod - application/core/packages/limesurvey/survey.css Diff File
mod - application/core/plugins/extendedStartPage/extendedStartPage.php Diff File
mod - application/core/plugins/extendedStartPage/views/publicSurveyList_extended.php Diff File
mod - application/helpers/replacements_helper.php Diff File
add - application/views/layouts/public.php Diff File
mod - application/views/layouts/survey.php Diff File
add - application/views/surveys/display.php Diff File
mod - application/views/surveys/publicSurveyList.php Diff File
mod - templates/flatmodern/css/template.css Diff File

LimeSurvey: answers_html 81fd9176

2016-10-28 17:04:43

DenisChenu

Details Diff
Dev: ExtendedStartpage renderOutput : not needed and send alerte (with tooltip) Affected Issues
11707
mod - application/core/plugins/extendedStartPage/extendedStartPage.php Diff File

Issue History

Date Modified Username Field Change
2016-09-25 14:57 DenisChenu New Issue
2016-10-19 10:18 DenisChenu Tag Attached: answers_html
2016-10-19 10:18 DenisChenu Project Development => Feature requests
2016-10-19 10:18 DenisChenu Category Templates => Other issues
2016-10-19 10:20 DenisChenu Assigned To => markusfluer
2016-10-19 10:20 DenisChenu Status new => feedback
2016-10-19 10:20 DenisChenu Note Added: 41462
2016-10-19 10:21 DenisChenu Note Added: 41463
2016-10-19 10:21 DenisChenu Status feedback => assigned
2016-10-19 10:21 DenisChenu Status assigned => feedback
2016-10-19 10:21 DenisChenu Severity @50@ => feature
2016-10-19 10:21 DenisChenu Category Other issues => Accessibility
2016-10-19 10:21 DenisChenu Product Version 2.5x =>
2016-10-27 02:34 DenisChenu Assigned To markusfluer => DenisChenu
2016-10-27 02:36 DenisChenu Note Added: 41577
2016-10-27 02:36 DenisChenu Status feedback => assigned
2016-10-27 11:22 DenisChenu Note Added: 41581
2016-10-30 10:17 DenisChenu Changeset attached => LimeSurvey answers_html de312173
2016-10-30 10:17 DenisChenu Changeset attached => LimeSurvey answers_html 81fd9176
2016-10-30 10:18 DenisChenu Status assigned => resolved
2016-10-30 10:18 DenisChenu Resolution open => fixed
2016-10-30 10:18 DenisChenu Fixed in Version => 3.0
2018-04-06 11:48 markusfluer Status resolved => closed